package jcg.zheng.demo.groovy

import static org.junit.Assert.*

import org.junit.Test

class EachDemoCollection {

	@Test
	public void each_in_collection_array(){
		String[] names = ["Mary", "Becky", "Susan", "Tom"]
		names.each { println it}
	}

	@Test
	public void each_in_collection_list(){
		List<String> names = ["Mary", "Becky", "Susan", "Tom"]
		names.each { println it}
	}

	@Test
	public void each_in_collection_map(){
		def names  = [:]
		names["id001"]= "Mary"
		names["id002"]= "Alex"
		names["id003"]= "Allen"
		names["id004"]= "Sammo"
		names.each { println it}
	}

	@Test
	public void each_in_collection_range(){
		def numbers  = (1..10)
		numbers.each { println it}
	}

	@Test
	public void each_in_collection_set(){
		Set<String> names = new HashSet<>()
		names.add("Mary")
		names.add("Zheng")
		names.each { println it}
	}

	@Test
	public void each_in_collection_person(){
		Person [] persons  = [new Person("Mary", "Zheng"), new Person("Alex", "Zheng"), new Person("Allen", "Zheng")]
		persons.each { println it}
	}

	@Test
	public void each_in_collection_mixObject(){
		def items  = [new Person("Mary", "Zheng"), "this is string", 100]
		items.each { println it}
	}
}
