package jcg.zheng.demo.groovy

import static org.junit.Assert.*

import org.junit.Test

class EachWithIndexDemo {

	@Test
	public void each_in_collection_array(){
		String[] names = ["Mary", "Becky", "Susan", "Tom"]
		names.eachWithIndex { name, i -> println "${i} = ${name}"}
	}

	@Test
	public void each_in_collection_list(){
		List<String> names = ["Mary", "Becky", "Susan", "Tom"]
		names.eachWithIndex {  name, i -> println "${i} = ${name}"}
	}

	@Test
	public void each_in_collection_map(){
		def names  = [:]
		names["id001"]= "Mary"
		names["id002"]= "Alex"
		names["id003"]= "Allen"
		names["id004"]= "Sammo"
		names.eachWithIndex { name, i -> println "${i} = '${name}'"}
	}

	@Test
	public void each_in_collection_range(){
		def numbers  = (1..10)
		numbers.eachWithIndex { number, i -> println  "${i} = ${number}"}
	}

	@Test
	public void each_in_collection_set(){
		Set<String> names = new HashSet<String>()
		names.add("Mary")
		names.add("Mary")
		names.add("Zheng")
		names.eachWithIndex {   name, i -> println "${i} = '${name}'"}
	}

	@Test
	public void each_in_collection_object(){
		Person [] persons  = [new Person("Mary", "Zheng"), new Person("Alex", "Zheng"), new Person("Allen", "Zheng")]
		persons.eachWithIndex {  name, i -> println "${i} = '${name}'"}
	}

	@Test
	public void each_in_collection_mixObject(){
		def items  = [new Person("Mary", "Zheng"), "this is string", 100, 1000000L, true, 12.234,]
		items.eachWithIndex { name, i -> println "${i} is ${name.getClass()}, content= '${name}' "}
	}
}
